/**
 * CNInOut2ClientRemote.java is a part of the SOFA project.
 * This file was created by pepan on 16.4.2003.
 */
package SOFA.SOFAnode.InOut.Connector;

import SOFA.SOFAnode.InOut.InOutException;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * @author Petr Panuska
 */
public interface CNInOut2ClientRemote extends Remote {
//  public void obtainComponent (String fullName, String sofanode) throws RemoteException, InOutException;

//  public void distributeComponent (String fullName, String[] sofanodes) throws RemoteException, InOutException;

//  public Bundle list () throws RemoteException, InOutException;
  public void obtain (String[] offers, java.lang.String[] components, String sofaNode) throws RemoteException, InOutException;

  public void distribute (String[] offers, java.lang.String[] components, String[] sofaNodes) throws RemoteException, InOutException;

  public void obtainOffers (String[] offers, String sofaNode) throws RemoteException, InOutException;

  public void distributeOffers (String[] offers, String[] sofaNodes) throws RemoteException, InOutException;

  public void obtainComponents (String[] components, String sofaNode) throws RemoteException, InOutException;

  public void distributeComponents (String[] components, String[] sofaNodes) throws RemoteException, InOutException;

  public byte[] list () throws RemoteException;
}
