/* $Id: CompBind.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;
 
public class CompBind extends CompContainedIm {
  public static final int m_bind = 0;
  public static final int m_subsume = 1;
  public static final int m_delegate = 2;

  public CompBindOper lhs;
  public CompBindOper rhs;
  public int mode;
  public String using;

  public CompBind(CompContainer parent, CompRepository rep, CompBindOper l, CompBindOper r, int mode) {
    super(ObjectsKind.o_Bind, new ID("Bind"+(((CompArchitecture)parent).numOfBind++),((CompContained)parent).getIdent().version) , parent, rep);
    
    id.version = ((CompContained)parent).getIdent().version;
    lhs = l;
    rhs = r;
    using = "CSProcCall";
    this.mode = mode;
  }
  
  public CompBind(CompContainer parent, CompRepository rep, CompBindOper l, CompBindOper r, int mode, String using) {
    super(ObjectsKind.o_Bind, new ID("Bind"+(((CompArchitecture)parent).numOfBind++),((CompContained)parent).getIdent().version) , parent, rep);
    
    id.version = ((CompContained)parent).getIdent().version;
    lhs = l;
    rhs = r;
    this.using = using;
    this.mode = mode;
  }

  public void checkConsist(EnumList props, CompRepository rep) throws CDLExceptCheck, CDLExceptLock, CDLExceptRemote {
    lhs.checkConsist(props,rep);
    rhs.checkConsist(props,rep);
  }
}
