/* $Id: DetectedConnectors.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;
import SOFA.SOFAnode.Made.TIR.*;
import java.rmi.RemoteException;

public class DetectedConnectors extends java.util.ArrayList {
  public DetectedConnector getConn(int i) { return (DetectedConnector) get(i); }

  public DetectedConnector containsConnWithCRole(CompBindOper cR) {
    DetectedConnector ret;
    for (int i=0; i<size(); i++) {
      ret = getConn(i);

      if (ret.containsSameCRole(cR)) {
        return ret;
      }
    }
    return null;
  }

  public DetectedConnector containsConnWithSRole(CompBindOper sR) {
    DetectedConnector ret;
    for (int i=0; i<size(); i++) {
      ret = getConn(i);

      if (ret.containsSameSRole(sR)) {
        return ret;
      }
    }
    return null;
  }

  /** Returns number of connectors with "bind" mode. */
  public int numOfBind() {
    int ret = 0;
    for (int i=0; i<size(); i++) {
      if (getConn(i).bindMode == CompBind.m_bind)
       ret++;
    }
    return ret;
  }
}
