/* $Id: UnionMember.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** Interface for representing members of union */
public interface UnionMember extends Contained {
  /** Name of the member. */
  public String name() throws RemoteException;
  /** Type of the member. */
  public CDLType type() throws RemoteException;
  /** Labels for the member. */
  public ExprOperDef[] label() throws RemoteException;
}
