/* $Id: DCUPComponentManagerSRole.java,v 1.2 2004/03/22 19:31:49 hnetynka Exp $ */
package SOFA.Connector.Boot;

import SOFA.Connector.*;
import SOFA.Component.*;
import SOFA.Component.DCUP.*;
import SOFA.SOFAnode.Run.*;

public class DCUPComponentManagerSRole extends RoleBaseImpl implements DCUPComponentManager  {

  private DCUPComponentManager tgt = null;

  public DCUPComponentManagerSRole() {}

  public void link(Object target) {
    tgt = (DCUPComponentManager) target;
  }


  public void createComponent(Storage stateStore) throws ComponentLifecycleException {
    tgt.createComponent(stateStore);
  }

  public void destroyComponent(Storage stateStore) throws ComponentLifecycleException {
    tgt.destroyComponent(stateStore);
  }

  public void storeComponent(Storage stateStore) throws ComponentLifecycleException {
    tgt.storeComponent(stateStore);
  }

  public void restoreComponent(Storage stateStore) throws ComponentLifecycleException {
    tgt.restoreComponent(stateStore);
  }

  public void updateComponent(SOFA.SOFAnode.Run.Deployment.DeploymentDescriptor newDeploymentDescriptor, Storage stateStore) throws ComponentLifecycleException {
    tgt.updateComponent(newDeploymentDescriptor, stateStore);
  }

  public void registerSubcomponent(java.lang.String name, SOFA.Connector.Reference target) throws SOFA.Component.NamingException, SOFA.Component.InstantiationException {
    tgt.registerSubcomponent(name, target);
  }
  
  public void unregisterSubcomponent(java.lang.String name) throws SOFA.Component.NamingException {
    tgt.unregisterSubcomponent(name);
  }

  public SOFA.Connector.Reference getProvisionReference(String name) throws NamingException {
    return tgt.getProvisionReference(name);
  }
  
  public void setRequirement(String name, SOFA.Connector.Reference ref) throws SOFA.Component.InstantiationException, NamingException {
    tgt.setRequirement(name, ref);
  }
  
  public void connectSubsumable() throws NamingException, SOFA.Component.InstantiationException {
    tgt.connectSubsumable();
  }

  public SOFA.SOFAnode.Run.Deployment.DeplDock getLocalDeplDock() {
    return tgt.getLocalDeplDock();
  }

  public String getFullName() {
    return tgt.getFullName();
  }

  public boolean isUpdatable() {
    return tgt.isUpdatable();
  }

  public Object[] getFcInterfaces() {
    return tgt.getFcInterfaces();
  }
  
  public Object getFcInterface(java.lang.String itfName) throws org.objectweb.fractal.api.NoSuchInterfaceException {
    return tgt.getFcInterface(itfName);
  }
  
  public org.objectweb.fractal.api.Type getFcType() {
    return this;
  }

  public boolean isFcSubtypeOf(org.objectweb.fractal.api.Type t) {
    return tgt.isFcSubtypeOf(t);
  }
}
