/*
 * LocalStubGen.java
 *
 * Created on 13. duben 2002, 21:08
 */

package SOFA.Connector.EEG.EEM.Elements;

import SOFA.SOFAnode.Made.TIR.*;
import SOFA.SOFAnode.Made.TIR.Access.TIRAccessMethods;
import SOFA.Connector.EEG.CodeWriter.*;
import SOFA.Connector.EEG.EEM.Actions.*;

/**
 *
 * @author  ghort
 * @version 
 */
public class LocalStubGen extends JImplWriterDirectorBase {

	/** Creates new LocalStubGen */
	public LocalStubGen(String provIfaceCDL, SOFA.Connector.Property[] params) {
		super(provIfaceCDL,params);
	}

	public String[] getImplements() {
		return new String[] {"SOFA.Connector.EEG.Types.Stub"};
	}
	
	public String getClassBody() {
		String reqIfaceMapped=SOFA.Connector.Property.findFirst(params,"reqIfaceMapped");
		return managerTieImpl() + "\n" +
			"\tprotected "+reqIfaceMapped+" target;\n"+
                     //   "\tprotected Object dynTarget = null;\n"+
                     //   "\tprotected java.lang.reflect.Method[] methods;\n"+
                     //   "\tprotected java.util.Hashtable methodTable;\n"+
                     //   "\tprotected java.util.Hashtable argsTable;\n\n"+
			"\tpublic void link(SOFA.Connector.TaggedProfile target) {\n"+
                     //   "\t\tif (((SOFA.Connector.ECG.Profiles.LocalProfile)target).link instanceof "+reqIfaceMapped+") {\n"+
			"\t\t\tthis.target=("+reqIfaceMapped+")((SOFA.Connector.ECG.Profiles.LocalProfile)target).link;\n"+
                     //   "\t\t\tSystem.out.println(\"KUK\");\n"+
                     //   "\t\t} else {\n"+
                     //   "\t\t\tdynTarget = ((SOFA.Connector.ECG.Profiles.LocalProfile)target).link;\n"+
                     //   "\t\t\tmethods = dynTarget.getClass().getMethods();\n"+
                     //   "\t\t\tmethodTable = SOFA.Connector.EEG.EEM.Elements.LocalStubGen.getMethodsTable(methods);\n"+
                     //   "\t\t\targsTable = SOFA.Connector.EEG.EEM.Elements.LocalStubGen.getArgsTable(methods);\n"+
                     //   "\t\t}\n"+
			"\t}\n\n"+
			"\tpublic String[] getSupportedProfiles() {\n"+
			"\t\treturn new String[] {\"LOCAL\"};\n"+
			"\t}\n\n"+
                        "\tpublic org.objectweb.fractal.api.Type getFcItfType() { return null; }\n"+
                        "\tpublic boolean isFcInternalItf() {return false; }\n"+
                        "\tpublic String getFcItfName() { return this.target.getFcItfName(); }\n"+
                        "\tpublic org.objectweb.fractal.api.Component getFcItfOwner() { return this.target.getFcItfOwner(); }\n\n";
	}
	
	public String getMethodDef(OperationDef mt) throws JWriterDirectorException {
		return JIfaceCN.getMethodDef(mt);
	}

	public String getMethodBody(OperationDef method) throws JWriterDirectorException {
		return 
                    //    "\t\tif (dynTarget == null) {\n"+
			"\t\t"+declareRet(method,"ret")+"\n"+
			"\t\t"+assignRet(method,"ret")+targetCall(method,JIfaceCN.targetCallParams(method))+";\n"+
			"\t\t"+returnRet(method,"ret")+"\n";
                    //    "\t\t} else {\n"+
                    //    getDynMethodBody(method)+
                    //    "\t\t}\n";
	}


   /*     public static java.util.Hashtable getMethodsTable(java.lang.reflect.Method[] m) {
          java.util.Hashtable ret = new java.util.Hashtable();
          for (int i=0; i<m.length; i++) {
            ret.put(m[i].getName(), m[i]);
          }
          return ret;
        }

        public static java.util.Hashtable getArgsTable(java.lang.reflect.Method[] m) {
          java.util.Hashtable ret = new java.util.Hashtable();
          for (int i=0; i<m.length; i++) {
            ret.put(m[i].getName(), new Object [m[i].getParameterTypes().length]);
          }
          return ret;
        }

        public String getDynMethodBody(OperationDef method) throws JWriterDirectorException {
          StringBuffer ret = new StringBuffer();
          try {
            String methodName = method.get_identification().name();
            ret.append("\t\tjava.lang.reflect.Method method = (java.lang.reflect.Method) methodTable.get(\""+methodName+"\");\n");
            ret.append("\t\tObject[] args = (Object[]) argsTable.get(\""+methodName+"\");\n");
            ParamDescr[] params = method.params();
            int i;
            for(i=0; i<params.length; i++) {
              CDLType type = params[i].type();
              ParamMode mode = params[i].mode();
              String name = params[i].name();
              ret.append("\t\targs["+Integer.toString(i)+"] = ");
              if ( (type instanceof PrimitiveDef) & (mode.value() == ParamMode.PARAM_IN)) {
                ret.append(getPrimitParam(type, name)+";\n");
              } else {
                ret.append(name+";\n");
              }
            }
            ret.append("\t\targs["+Integer.toString(i)+"] = thr_id;");
            ret.append("\t\ttry {\n");
            StringBuffer methodCall = new StringBuffer("method.invoke(dynTarget, args)");
            
            
            CDLType result = method.result();
            if (result instanceof PrimitiveDef) {
              ret.append(getPrimitResult(result, methodCall.toString()));
            } else {
              ret.append("\t\t\treturn ("+CDL2JavaMapping.getTypeName(result,ParamMode.PARAM_IN)+") "+methodCall.toString()+";\n" );
            }
            ret.append("\t\t} catch (IllegalAccessException _e) {\n\t\t\tthrow new SOFA.Connector.ConnectorTransportException(\"IllegalAccessException\", _e);\n\t\t} catch (java.lang.reflect.InvocationTargetException _e) {\n");
            ExceptionDef[] exceptions = method.exceptions();
            for ( i=0; i<exceptions.length; i++) {
              String mapEx = CDL2JavaMapping.getTypeName(exceptions[i],ParamMode.PARAM_IN);
              ret.append("\t\t\tif (_e.getTargetException() instanceof "+mapEx+") throw ("+mapEx+") _e.getTargetException();\n");
            }
            ret.append("\t\tthrow new SOFA.Connector.ConnectorTransportException(\"Unrecognized InvocationTargetException\", _e);\n");
            ret.append("\t\t}\n");
          } catch (java.rmi.RemoteException e) {
            throw new JWriterDirectorException("Cannot access TIR.",e);
          } catch (SOFA.SOFAnode.Made.TIR.TIRExceptLock e) {
            throw new JWriterDirectorException("Cannot access TIR.",e);
          } catch (SOFA.Connector.EEG.CodeWriter.CodeWriterException e) {
            throw new JWriterDirectorException("Cannot map type.",e);
          }
          return ret.toString();
        }

        public String getPrimitParam(CDLType type, String name) throws java.rmi.RemoteException {
          switch (((PrimitiveDef)type).kind().value()) {
            case PrimitiveKind.pk_string:
            case PrimitiveKind.pk_wstring:
            case PrimitiveKind.pk_any:
            case PrimitiveKind.pk_object:
              return name;
            case PrimitiveKind.pk_short:
            case PrimitiveKind.pk_ushort:
              return "new Short("+name+")";
            case PrimitiveKind.pk_long:
            case PrimitiveKind.pk_ulong:
              return "new Integer("+name+")";
            case PrimitiveKind.pk_longlong:
            case PrimitiveKind.pk_ulonglong:
              return "new Long("+name+")";
            case PrimitiveKind.pk_float:
              return "new Float("+name+")";
            case PrimitiveKind.pk_double:
              return "new Double("+name+")";
            case PrimitiveKind.pk_boolean:
              return "new Boolean("+name+")";
            case PrimitiveKind.pk_char:
            case PrimitiveKind.pk_wchar:
              return "new Character("+name+")";
            case PrimitiveKind.pk_octet:
              return "new Byte("+name+")";
          }
          return name;
        }

        public String getPrimitResult(CDLType type, String methodCall) throws java.rmi.RemoteException {
          switch (((PrimitiveDef)type).kind().value()) {
            case PrimitiveKind.pk_void:
              return ("\t\t\t"+methodCall+";\n");
            case PrimitiveKind.pk_string:
            case PrimitiveKind.pk_wstring:
              return ("\t\t\treturn (String) "+methodCall+";\n");
            case PrimitiveKind.pk_any:
              return ("\t\t\treturn ("+SOFA.SOFAnode.Made.CodeGen.GeneratedObject.stdPackage+"Any)"+methodCall+";\n");
            case PrimitiveKind.pk_object:
              return ("\t\t\treturn ("+SOFA.SOFAnode.Made.CodeGen.GeneratedObject.stdPackage+"Object)"+methodCall+";\n");
            case PrimitiveKind.pk_short:
            case PrimitiveKind.pk_ushort:
              return ("\t\t\treturn ((Short) "+methodCall+").shortValue();\n");
            case PrimitiveKind.pk_long:
            case PrimitiveKind.pk_ulong:
              return ("\t\t\treturn ((Integer) "+methodCall+").intValue();\n");
            case PrimitiveKind.pk_longlong:
            case PrimitiveKind.pk_ulonglong:
              return ("\t\t\treturn ((Long) "+methodCall+").longValue();\n");
            case PrimitiveKind.pk_float:
              return ("\t\t\treturn ((Float) "+methodCall+").floatValue();\n");
            case PrimitiveKind.pk_double:
              return ("\t\t\treturn ((Double) "+methodCall+").doubleValue();\n");
            case PrimitiveKind.pk_boolean:
              return ("\t\t\treturn ((Boolean) "+methodCall+").booleanValue();\n");
            case PrimitiveKind.pk_char:
            case PrimitiveKind.pk_wchar:
              return ("\t\t\treturn ((Character) "+methodCall+").charValue();\n");
            case PrimitiveKind.pk_octet:
              return ("\t\t\treturn ((Byte) "+methodCall+").ByteValue();\n");
          }
          return ("\t\t\t"+methodCall+";\n");
        } */
}
