/**
 * InOut2ClientSRole.java is a part of the SOFA project.
 * This file was created by pepan on 16.4.2003.
 */
package SOFA.SOFAnode.InOut.Connector;

import SOFA.Connector.RoleBaseImpl;
import SOFA.SOFAnode.InOut.*;

/**
 * @author Petr Panuska
 */
public class InOut2ClientSRole extends RoleBaseImpl implements CNInOut2Client {
  InOut2Client target;

  public void link (Object target) throws SOFA.Connector.LinkException {
    this.target = (InOut2Client) target;
  }


/*
  public void obtainComponent (String fullName, String sofanode) throws InOutException {
//    target.obtainComponent(fullName, sofanode);
  }

  public void distributeComponent (String fullName, String[] sofanodes) throws InOutException {
//    target.distributeComponent(fullName, sofanodes);
  }
*/


  public void obtain (String[] offers, String[] components, String sofaNode) throws InOutException {
    target.obtain(offers, components, sofaNode);
  }

  public void distribute (String[] offers, String[] components, String[] sofaNodes) throws InOutException {
    target.distribute(offers, components, sofaNodes);
  }

  public void obtainOffers (String[] offers, String sofaNode) throws InOutException {
    target.obtainOffers(offers, sofaNode);
  }

  public void distributeOffers (String[] offers, String[] sofaNodes) throws InOutException {
    target.distributeOffers(offers, sofaNodes);
  }

  public void obtainComponents (String[] components, String sofaNode) throws InOutException {
    target.obtainComponents(components, sofaNode);
  }

  public void distributeComponents (String[] components, String[] sofaNodes) throws InOutException {
    target.distributeComponents(components, sofaNodes);
  }

  public Bundle list () throws InOutException {
    return target.list();
  }
}
